Bug 12154 - Don't print the machine account password into the log
Don't print the machine account password into the log
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
4.4.5
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-08-15 10:53 UTC by Stefan Metzmacher
Modified: 2016-09-20 06:55 UTC (History)
2 users (show)

See Also:


Attachments
Patch for v4-2-test (1.17 KB, text/plain)
2016-08-15 10:56 UTC, Stefan Metzmacher
slow: review+
Details
Patch for v4-3-test (1.17 KB, text/plain)
2016-08-15 10:57 UTC, Stefan Metzmacher
slow: review+
Details
Patch for v4-4-test (1.17 KB, text/plain)
2016-08-15 10:57 UTC, Stefan Metzmacher
slow: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2016-08-15 10:53:17 UTC
We need to backport commit 15f191a2329d08b92111f71e22f8a28c8a39c193 from
master/4.5
Comment 1 Stefan Metzmacher 2016-08-15 10:56:40 UTC
Created attachment 12369 [details]
Patch for v4-2-test
Comment 2 Stefan Metzmacher 2016-08-15 10:57:09 UTC
Created attachment 12370 [details]
Patch for v4-3-test
Comment 3 Stefan Metzmacher 2016-08-15 10:57:54 UTC
Created attachment 12371 [details]
Patch for v4-4-test
Comment 4 Stefan Metzmacher 2016-08-15 11:04:44 UTC
Pushed to autobuild-v4-{2,3,4}-test
Comment 5 Stefan Metzmacher 2016-08-17 14:31:18 UTC
Pushed to v4-{2,3,4}-test.
Comment 6 Stefan Metzmacher 2016-08-17 14:32:04 UTC
Karolin, please remember to take this for a possible v4-2 security release